Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.business
Class ObjectFactory

    java.lang.Object
      be.cin.nip.async.business.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.cin.nip.async.business package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.nip.async.business

Method Summary
`GenericRequest` | `createGenericRequest()` Create an instance of `GenericRequest`
`GenericRequestList` | `createGenericRequestList()` Create an instance of `GenericRequestList`
`GenericResponse` | `createGenericResponse()` Create an instance of `GenericResponse`
`GenericResponseList` | `createGenericResponseList()` Create an instance of `GenericResponseList`
`SamlAttributeType` | `createSamlAttributeType()` Create an instance of `SamlAttributeType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.nip.async.business

Method Detail

### createGenericRequestList

    public GenericRequestList createGenericRequestList()

  Create an instance of `GenericRequestList`

### createGenericRequest

    public GenericRequest createGenericRequest()

  Create an instance of `GenericRequest`

### createSamlAttributeType

    public SamlAttributeType createSamlAttributeType()

  Create an instance of `SamlAttributeType`

### createGenericResponseList

    public GenericResponseList createGenericResponseList()

  Create an instance of `GenericResponseList`

### createGenericResponse

    public GenericResponse createGenericResponse()

  Create an instance of `GenericResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.